<?php // Do not delete these lines
	if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');

        if (!empty($post->post_password)) { // if there's a password
            if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
				?>
				
				<p class="nocomments"><?php _e('This post is password protected. Enter the password to view comments',TEMPLATE_DOMAIN); ?><p>
				
				<?php
				return;
            }
        }

		/* This variable is for alternating comment background */
		$oddcomment = 'alt';
		global $freshy_options;
		$gravatar_size= $freshy_options['gravatar_size'];
?>

<!-- You can start editing here. -->

<?php if ($comments) : ?><?php __('No responses',TEMPLATE_DOMAIN); ?>
	<h3 id="comments"><?php comments_number(__('No responses',TEMPLATE_DOMAIN), __('One response',TEMPLATE_DOMAIN), __('% responses',TEMPLATE_DOMAIN));?></h3>

	<div class="commentlist">

	<?php foreach ($comments as $comment) : ?>
		
	<?php
	$author_comment_class='comment';
	if($comment->comment_author_email == get_the_author_email()) $author_comment_class='comment_author';
	?>
	
		<div class="comment <?php echo $author_comment_class; ?>" id="comment-<?php comment_ID() ?>">
			<?php // gravatars
			if (function_exists('gravatar')) { 
				if ('' == $comment->comment_type) {
					echo '<img class="avatar" src="';
                    gravatar();
					echo '" alt="'.$comment->comment_author.'" width="40" height="40" />';
				} elseif ( ('trackback' == $comment->comment_type) || ('pingback' == $comment->comment_type) ) {
					echo '<img class="avatar" src="';
					gravatar();
					echo '" alt="'.$comment->comment_author.'" width="40" height="40" />';
				}
			} else {
				//echo '<img class="avatar" src="'.get_bloginfo('stylesheet_directory').'/images/default_avatar.png" alt="'.$comment->comment_author.'" width="40" height="40" />';
			}
			?>
			<h4><?php print freshy_get_comment_excerpt(); ?></h4>
			<small class="author"><?php comment_author_link() ?></small>
				
			<?php if ($freshy_options['comment_date']) : ?><small class="date">| <?php comment_date() ?></small><?php endif; ?>
			<?php if ($freshy_options['comment_time']) : ?><small class="date"><?php if ($freshy_options['comment_date']) : ?>|<?php endif; ?> <?php comment_time() ?></small><?php endif; ?>
					

		<?php if ($comment->comment_approved == '0') : ?>
			<small><?php _e('Your comment is awaiting moderation',TEMPLATE_DOMAIN); ?></small>
		<?php endif; ?>
			<div class="comment_content">
			<?php comment_text(); ?>
			</div>
		</div>


	<?php /* Changes every other comment to a different class */	
		if ('alt' == $oddcomment) $oddcomment = '';
		else $oddcomment = 'alt';
	?>

	<?php endforeach; /* end for each comment */ ?>

	</div>

<?php endif; ?>


<?php if ('open' == $post->comment_status) : ?>

<h3 id="respond"><?php _e('Leave a comment',TEMPLATE_DOMAIN); ?></h3>

<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
<p><?php _e('You must be',TEMPLATE_DOMAIN); ?> <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>"><?php _e('logged in',TEMPLATE_DOMAIN); ?></a> <?php _e('to post a comment',TEMPLATE_DOMAIN); ?></p>
<?php else : ?>

<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

<?php if ( $user_ID ) : ?>

<p><?php _e('Logged in as',TEMPLATE_DOMAIN); ?> <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="Log out of this account"><?php _e('Logout',TEMPLATE_DOMAIN); ?> &raquo;</a></p>

<?php else : ?>

<p>
	<input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" />
	<label for="author"><?php _e('Name',TEMPLATE_DOMAIN); ?> <?php if ($req) print '<small>'.__('(required)',TEMPLATE_DOMAIN).'</small>'; ?></label>
</p>
<p>
	<input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" />
	<label for="email"><?php _e('Mail',TEMPLATE_DOMAIN); ?> <?php print '<small>'.__('(will not be published)',TEMPLATE_DOMAIN).'</small>'; ?> <?php if ($req) print '<small>'.__('(required)',TEMPLATE_DOMAIN).'</small>'; ?></label>
</p>
<p>
	<input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" />
	<label for="url"><?php _e('Website',TEMPLATE_DOMAIN); ?></label>
</p>

<?php endif; ?>

<p><small><?php _e('You can use these tags',TEMPLATE_DOMAIN); ?> : <?php echo allowed_tags(); ?></small></p>

<p>
<textarea name="comment" id="comment" cols="60" rows="10" tabindex="4"></textarea>
</p>
<p>
<input name="submit" type="submit" id="submit" tabindex="5" value="<?php _e('Submit comment',TEMPLATE_DOMAIN); ?>" />
<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
</p>

<?php do_action('comment_form', $post->ID); ?>

</form>

<?php endif; // If registration required and not logged in ?>

<?php endif; // if you delete this the sky will fall on your head ?>
